wPDFControl CLASS,TYPE,MODULE('WPDFCONTROLWRAPPERDEMOL.LIB'),LINK('WPDFCONTROLWRAPPERDEMOL.LIB')!,DLL(FALSE)
!Properties
PdfEnv                  LONG
DC                      LONG  ! DC of the PDF Canvas
Encoding                LONG  ! Encoding: 0 = none, 1=ASCII85, 2=Hex
Compression             LONG  ! Compression: 0=none, 1=deflate, 2=runlength, 3=fast deflate
BitCompression          LONG  ! Compress bitmaps: 0=auto, 1=deflate, 2=jpeg
ThumbNails              LONG  ! Thumbnails: 0=none, 1=color, 2=monchrome
FontMode                LONG  ! Fonts mode:  0= Use TrueType Fonts, 1=Embed TrueType Fonts,
                              ! 2=Embed Symbol TrueType Fonts, 3=Use Base14 Type1 Fonts
PageMode                LONG  ! Start PDF file with: 0=Standard, 1=Outlines, 2=Thumbnails, 3=As full screen
InputFileMode           LONG  ! 0=Ignore "InputPDFFile"
                              ! 1=Append To Input PDF file
                              ! 2=Convert Input To Watermarks (names inpage1 --- inpageN)
                              ! 3=Use Input As Watermark
JPEGCompress            LONG  ! JPEG quality: 0=off, 1=10%, 2=25%, 3=50%, 4=75%, 5=100%
EnhancedOptions         LONG
                              ! Bit 0: PDF text out ignores the width of the characters calculated by windows
                              ! Bit 1: PDF engine supports clipping (only rectangles)
                              ! Bit 3: switches OFF Auto Hyperlinks
                              ! Bit 4: PDF does  NOT use use the a printer HDC as reference
PDFXRes                 LONG(72)     ! PDF resolution (default 72)
PDFYRes                 LONG(72)     ! PDF default page size measured in PDFXRes
PDFWidth                LONG
PDFHeight               LONG
InputPDFFile            CSTRING(128) ! Input PDF file (see "InputFileMode"9
! Mailmerge
MailMergeStart          CSTRING(8)   ! start identifier for a mailmerge field, for example "@@"
! Encryption
Permission              LONG   ! Bit 0: enabled, bit 1: Enable Printing,
                               ! bit 2: Enable Changing, bit 3: Enable Copying, bit 4: Enable Forms
UserPassword            CSTRING(20) ! passwords
OwnerPassword           CSTRING(20) 
! Info  strings
Date                    CSTRING(256)
ModDate                 CSTRING(256)
Author                  CSTRING(256)
Producer                CSTRING(256)
Title                   CSTRING(256)
Subject                 CSTRING(256)
Keywords                CSTRING(256)

!============================================================================
! Public Methods
!============================================================================

BeginDoc                PROCEDURE(STRING FileName, LONG UseStream = 0),LONG,VIRTUAL
DrawBitmapFile          PROCEDURE(LONG x, LONG y, LONG w, LONG h, STRING filename),LONG,VIRTUAL,PROC
DrawMetafile            PROCEDURE(STRING MetafileName, LONG x, LONG y, LONG w, LONG h),VIRTUAL
DrawWMF                 PROCEDURE(STRING MetafileName, LONG x, LONG y, LONG w, LONG h),VIRTUAL
EndDoc                  PROCEDURE(),VIRTUAL
EndPage                 PROCEDURE(),VIRTUAL
Finalize                PROCEDURE(),VIRTUAL
FinalizeAll             PROCEDURE(),VIRTUAL
GetPdfDc                PROCEDURE(),LONG,VIRTUAL
Hyperlink               PROCEDURE(LONG x, LONG y, LONG w, LONG h, STRING LinkName),VIRTUAL
Initialize              PROCEDURE(),LONG,VIRTUAL
InitializeEx            PROCEDURE(),LONG,VIRTUAL
Bookmark                PROCEDURE(LONG x, LONG y, STRING Name),VIRTUAL
Outline                 PROCEDURE(LONG level,  LONG x, LONG y, <STRING Name>, STRING Caption),VIRTUAL
Rectangle               PROCEDURE(LONG x, LONG y, LONG w, LONG h),VIRTUAL
SetTextAttr             PROCEDURE(STRING FontName, LONG Size, LONG Bold=0, LONG Italic=0, LONG Underline=0),VIRTUAL
SetTextAttrEx           PROCEDURE(STRING FontName, LONG Size, LONG Charset, LONG Bold=0, LONG Italic=0, LONG Underline=0, ULONG Color=0),VIRTUAL
SetTextDefaultAttr      PROCEDURE(STRING FontName, LONG Size),VIRTUAL
SetPenAttr              PROCEDURE(LONG Style, LONG Width, LONG Color),VIRTUAL
SetBrushAttr            PROCEDURE(LONG Style, LONG Color),VIRTUAL
StartPage               PROCEDURE(),VIRTUAL
StartPageEx             PROCEDURE(LONG Width, LONG Height, LONG Rotation = 0),VIRTUAL
TextRect                PROCEDURE(LONG x, LONG y, LONG w, LONG h, STRING Txt, LONG Alignment),LONG,VIRTUAL
TextOut                 PROCEDURE(LONG x, LONG y, STRING Txt),VIRTUAL
StartWatermark          PROCEDURE(STRING Name),VIRTUAL
StartWatermarkEx        PROCEDURE(STRING Name, LONG Width, LONG Height),VIRTUAL
EndWatermark            PROCEDURE(),VIRTUAL
DrawWatermark           PROCEDURE(STRING Name, LONG Rotation),VIRTUAL
MoveTo                  PROCEDURE(LONG x, LONG y),VIRTUAL
LineTo                  PROCEDURE(LONG x, LONG y),VIRTUAL
SetLicenseKey           PROCEDURE(LONG LicenseNumber, STRING LicenseName, STRING LicenseCode),VIRTUAL

               END

!_EndOfInclude_

